Package com.independentsoft.office.drawing

# Enum Class TextAnchoringType

java.lang.Object
java.lang.Enum<TextAnchoringType>
com.independentsoft.office.drawing.TextAnchoringType

All Implemented Interfaces:
  `Serializable`, `Comparable<TextAnchoringType>`, `Constable`

public enum TextAnchoringType extends Enum<TextAnchoringType>
The Enum TextAnchoringType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM`
  `CENTER`
  `DISTRIBUTED`
  `JUSTIFIED`
  `NONE`
  `TOP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextAnchoringType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextAnchoringType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOTTOM

    public static final TextAnchoringType BOTTOM

  - ### CENTER

    public static final TextAnchoringType CENTER

  - ### DISTRIBUTED

    public static final TextAnchoringType DISTRIBUTED

  - ### JUSTIFIED

    public static final TextAnchoringType JUSTIFIED

  - ### TOP

    public static final TextAnchoringType TOP

  - ### NONE

    public static final TextAnchoringType NONE

- ## Method Details

  - ### values

    public static TextAnchoringType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextAnchoringType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null